Test2::Tools::Encoding(3pm)

NAME
Test2::Tools::Encoding - Tools for managing the encoding of Test2 based tests.

DESCRIPTION
This module exports a function that lets you dynamically change the output encoding at will.

SYNOPSIS
    use Test2::Tools::Encoding;

    set_encoding('utf8');

EXPORTS
All subs are exported by default.

set_encoding($encoding)
    This will set the encoding to whatever you specify. This will only affect the output of the current formatter, which is usually your TAP output formatter.

SOURCE
The source code repository for Test2-Suite can be found at https://github.com/Test-More/test-more/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS

Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/